### Enumeration

# FwupdPlugin UsbClass

#### Declaration

    enum FwupdPlugin.UsbClass

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_USB_CLASS_INTERFACE_DESC` | No description available.
`FU_USB_CLASS_AUDIO` | No description available.
`FU_USB_CLASS_COMMUNICATIONS` | No description available.
`FU_USB_CLASS_HID` | No description available.
`FU_USB_CLASS_PHYSICAL` | No description available.
`FU_USB_CLASS_IMAGE` | No description available.
`FU_USB_CLASS_PRINTER` | No description available.
`FU_USB_CLASS_MASS_STORAGE` | No description available.
`FU_USB_CLASS_HUB` | No description available.
`FU_USB_CLASS_CDC_DATA` | No description available.
`FU_USB_CLASS_SMART_CARD` | No description available.
`FU_USB_CLASS_CONTENT_SECURITY` | No description available.
`FU_USB_CLASS_VIDEO` | No description available.
`FU_USB_CLASS_PERSONAL_HEALTHCARE` | No description available.
`FU_USB_CLASS_AUDIO_VIDEO` | No description available.
`FU_USB_CLASS_BILLBOARD` | No description available.
`FU_USB_CLASS_DIAGNOSTIC` | No description available.
`FU_USB_CLASS_WIRELESS_CONTROLLER` | No description available.
`FU_USB_CLASS_MISCELLANEOUS` | No description available.
`FU_USB_CLASS_APPLICATION_SPECIFIC` | No description available.
`FU_USB_CLASS_VENDOR_SPECIFIC` | No description available.